## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# DOMStringLessThanFunction Struct Reference

Less than functor for DOMStrings. More...

List of all members.

## Public Member Functions

- result_type operator() (first_argument_type theLHS, second_argument_type theRHS) const

## Detailed Description

Less than functor for DOMStrings.

Parameters:

  theLHS | first string to compare
  theRHS | second string to compare

Returns:
  true if the theLHS is less than theRHSl

## Member Function Documentation

result_type DOMStringLessThanFunction::operator() | ( | first_argument_type | theLHS,
|  | second_argument_type | theRHS
| ) | const

The documentation for this struct was generated from the following file:

- DOMStringHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.